lev.gui

## Class SortedListModel<T>

- java.lang.Object
- - javax.swing.AbstractListModel
  - - lev.gui.SortedListModel<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel

      public class SortedListModel<T>
      extends javax.swing.AbstractListModel

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.SortedSet<T>` | `model`

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedListModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T element)`
    `void` | `addAll(T[] elements)`
    `void` | `clear()`
    `boolean` | `contains(T element)`
    `T` | `firstElement()`
    `T` | `getElementAt(int index)`
    `int` | `getSize()`
    `java.util.Iterator` | `iterator()`
    `T` | `lastElement()`
    `boolean` | `removeElement(T element)`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          protected java.util.SortedSet<T> model

  - ### Constructor Detail

    - #### SortedListModel

          public SortedListModel()

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getElementAt

          public T getElementAt(int index)

    - #### add

          public void add(T element)

      Parameters:
        `element` -

    - #### addAll

          public void addAll(T[] elements)

      Parameters:
        `elements` -

    - #### clear

          public void clear()

    - #### contains

          public boolean contains(T element)

      Parameters:
        `element` -
      Returns:

    - #### firstElement

          public T firstElement()

      Returns:

    - #### iterator

          public java.util.Iterator iterator()

      Returns:

    - #### lastElement

          public T lastElement()

      Returns:

    - #### removeElement

          public boolean removeElement(T element)

      Parameters:
        `element` -
      Returns: